При установке или после обновления до последней версии панели VestaCP на Debian 7 Wheezy может наблюдатся  ошибка при её запуске:

Starting vesta-nginx: vesta-nginx/usr/local/vesta/nginx/sbin/vesta-nginx: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14′ not found (required by /usr/local/vesta/nginx/sbin/vesta-nginx

Для её исправления нам нужно обновить модуль libc.so. до версии 2.14.

Подключаем репозитарий, с которого будет обновлятся модуль:

echo «deb http://ftp.debian.org/debian jessie main» > /etc/apt/sources.list.d/jessie.list && apt-get update

Cтавим libxml2:
aptitude -t jessie install libxml2

Предложение удалить пакеты отклоняем(n),  после чего будет предложено обновить пакеты libc, принимаем его(y) и принимаем удаление libgssglue1 (y).

После обновления пакетов удаляем подключенный репозиторий:

rm /etc/apt/sources.list.d/jessie.list && apt-get update

Проверяем работу панели.

Рубрики: LinuxVestaCP

Добавить комментарий